cat_new_set_entry_verify()

NAME

cat_new_set_entry_verify - write and entry into the CAT table

SYNOPSIS

#include <cat_interface.h>

uint64_t cat_new_set_entry_verify(
            dag_component_t component,
            uint8_t iface,
        uint16_t color,
        uint8_t hash,
        uint64_t destination
)

DESCRIPTION
cat_new_set_entry_verfiy sets the entry in the cat table.The CAT module maps the IPF colour, Hash value from load balancer and interface values to different streams.The CAT has 2 banks. The entry will be written to the inactive bank.To know the maximum values of IPF colour , hash and interface values you can use the functions cat_get_max_color() cat_get_max_hlb_or_hash() cat_get_max_interface().The destination is a one-hot encoded value with each bit representing one recieve stream.

RETURN VALUE
On success cat_new_set_entry_verify returns the destination written.else it returns the appropriate error value.

ERRORS

kInvalidAddress the address computed from interface hash and colour is invalid. kInvalidDestination The destination supplied is invalid.

SEE ALSO
cat_get_current_bank(3),cat_swap_banks(3), cat_get_no_of_output_bits(3),cat_get_no_of_input_bits(3), cat_get_max_hlb_or_hash(3), cat_get_max_interface(3), cat_get_max_color(3), get_configured_hash_width(3), cat_get_hash_mask(3), cat_get_entry_mode(3), cat_set_entry_mode(3), cat_bypass"(3)."

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13741 $
$Date: 2011-01-14 17:22:46 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2009-2010 Endace Technology, Hamilton, New Zealand. All Rights Reserved.